Subject: [http-devops] HTTP/2 test page

From: Gábor Molnár <[email-masked]>
Date: Wed, 18 Sep 2013 11:05:05 +0200

Hello list,

I started a HTTP/2 testing project based on node-http2 (as part of my GSoC
project), and thought it would be useful for many HTTP/2 client
implementors. It's called http2-testpage, and the code is available here:
https://github.com/molnarg/http2-testpage

It is now mainly focused on testing error scenarios, since that's something
that is hard to test without custom server software, but I hope to test
other parts of the protocol, too, in the future.

Pull requests and test case suggestions (as GitHub issues, or here on the
list) are welcome! I would also like to hear if some error scenarios would
be more important to test than others (for example scenarios that will be
very rare in the wild).

  Gábor